function DATAinsert = cellMakerRL(IDcentralina,DTcatena,NodeNum,ListaDate,...
                    ARRAYdateRL,Rain,RainCum,cRL,ErrRainLink)

l = ListaDate;
DATAinsert = cell(l,8);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateRL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateRL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Rain(ii,cRL);
    DATAinsert{ii,7} = RainCum(ii,cRL);
    DATAinsert{ii,8} = ErrRainLink(cRL,ii);
end

end